<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($delete)){
  if($id){
  	
  	//Ver Dia Abierto de la Sucursal
  	$o_SucursalBean = new SucursalBean();
  	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
  	$o_SucursalBL = new SucursalBL();
  	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
  	foreach($a_o_sucursal as $key => $o_sucursal){
  		$idSucursal = $o_sucursal->getIdSucursal();
  	}
  	
  	$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($idSucursal);
		
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fechaDiaAbierto = $o_BalanceDiaDP->ObtenerDiaAbierto();
  	//
  	  	
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPrestamo($id);
    
    $o_PrestamoBL = new PrestamoBL();
    $a_o_prestamo = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
    
    //Ver Fecha de Inicio
    foreach ($a_o_prestamo as $key => $o_prestamo)  {
    	$fechaInicio = $o_prestamo->getFechaInicio();
    }
    
    if($fechaDiaAbierto == $fechaInicio){
    
	    $o_PrestamoBean->setUsuarioEliminado(myUser::getUser()->getUserId());
	    $o_PrestamoSystemClass = new PrestamoSystemClass($o_PrestamoBean);
	    $bResult = $o_PrestamoSystemClass->eliminarPrestamo();
	    
	    if($bResult){
	      ?>
	      <script language="JavaScript">
	      parent.objMainTab.reqBody('<?=buildUrl('mod/list')?>','001&delete=1&cod=<?=$o_PrestamoBean->getIdPrestamo()?>');
	      parent.objMainTab.windowsCloseAll();
	      </script>
	      <?
	      
	    }else{
	       $url = buildUrl('mod/delete', "block=".$block."&error=1");
	    }
    }else{
    	echo "No se puede eliminar este prestamo porque el periodo esta cerrado.";
    }
  } 
}
